tigase.conf

## Class ConfigReader.AbstractEnvironmentPropertyVariable

- java.lang.Object
- - tigase.conf.ConfigReader.AbstractEnvironmentPropertyVariable

- All Implemented Interfaces:
    ConfigReader.Variable
  Direct Known Subclasses:
    ConfigReader.EnvironmentVariable, ConfigReader.PropertyVariable
  Enclosing class:
    ConfigReader

      public abstract static class ConfigReader.AbstractEnvironmentPropertyVariable
      extends Object
      implements ConfigReader.Variable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractEnvironmentPropertyVariable()`
    `protected` | `AbstractEnvironmentPropertyVariable(String name, String defValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `protected String` | `getDefValue()`
    `protected String` | `getName()`
    `protected void` | `setDefValue(String defValue)`
    `protected void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.conf.ConfigReader.Variable

      `calculateValue`

- - ### Constructor Detail

    - #### AbstractEnvironmentPropertyVariable

          protected AbstractEnvironmentPropertyVariable()

    - #### AbstractEnvironmentPropertyVariable

          protected AbstractEnvironmentPropertyVariable(String name,
                                                        String defValue)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getName

          protected String getName()

    - #### setName

          protected void setName(String name)

    - #### getDefValue

          protected String getDefValue()

    - #### setDefValue

          protected void setDefValue(String defValue)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.